summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rwxr-xr-xPKGBUILD13
1 files changed, 7 insertions, 6 deletions
diff --git a/PKGBUILD b/PKGBUILD
index fa8ffdc13ff..675aef14683 100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -13,7 +13,8 @@ pkgdesc=" Coord is a Python module that provides basic functionality related to
arch=('any')
url="https://github.com/LSSTDESC/Coord.git"
license=('BSD')
-makedepends=('git' 'python' 'python-cffi' 'python-numpy' 'python-future' 'python2' 'python2-cffi' 'python2-numpy' 'python2-future' )
+makedepends=('git' 'python' 'python-cffi' 'python-numpy' 'python-future' 'python2' 'python2-cffi' 'python2-numpy' 'python2-future' 'python-setuptools' 'python2-setuptools')
+checkdepends=('python-nose' 'python2-nose' 'python-astropy' 'python2-astropy')
source=("${pkgbase}::git+${url}")
md5sums=('SKIP')
@@ -35,22 +36,22 @@ build() {
}
check() {
- cd "$srcdir"/$pkgbase/tests
+ cd "$srcdir"/$pkgbase
nosetests -v || warning 'Tests failed'
- cd "$srcdir"/$pkgbase-py2/tests
- nosetests2 -v || warning 'Tests failed'
+ cd "$srcdir"/$pkgbase-py2
+ nosetests2 -v || warning 'Tests2 failed'
}
package_python-coord-git() {
- depends=('glibc' )
+ depends=('glibc')
cd $pkgbase
python setup.py install --root=${pkgdir} --prefix=/usr --optimize=1
install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
}
package_python2-coord-git() {
- depends=('glibc' )
+ depends=('glibc')
cd $pkgbase-py2
python2 setup.py install --root=${pkgdir} --prefix=/usr --optimize=1
install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE